QGIS Application - Bug report #17747
QGIS Server doesn't advertise the composer templates in the GetProjectSettings anymore
2017-12-25 08:45 AM - Tudor Barascu

Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: Yes

Operating System: Debian Buster Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 25643
Description

I've noticed that for all the newly created projects (with master) the Server doesn't advertise the composer templates in the
GetProjectSettings request.

Moreover, in Desktop -> Project Properties -> QGIS Server -> Exclude templates, when trying to add a composer in the list of the
excluded ones, | cannot see the list of the composers that have been created to select the one that | want.

There's no need to add demo date to this bug as it's easily reproduceable:

- Create a new project and add a layer

- Create a composer template

- Trying to exclude that composer template from the QGIS Server settings doesn't show it so that it can be added
- QGIS Server doesn't advertise the template in a GetProjectSettings request for that project

History

#1 - 2017-12-28 02:26 PM - Tudor Barascu

Investigating further, currently, in Master, there are two print layouts:
- The old composer under the Composer Manager name

For this one,the composer templates are advertised but there are two issues:

a) Unlike the QGIS 2 server, The request for GetPrint has reverse axis in the bbox- Web clients need to be reconfigured when using QGIS Server 3. Is
there a way to advertise QGIS Server is version 3? | think currently not.

b) Although the requests goes well, currently the layouts are only respected up to a certain point. e.g. the map frame for a template is not respected at the

bottom and bleeds..

- The new composer under the Layout Manager name with the issue that the composer layouts are not advertised at all by QGIS Server, which is the

original issue, as | was using the new layout manager.

#2 - 2018-01-12 08:16 AM - Tudor Barascu
- Status changed from Open to Closed

Fixed, latest changes in 90c07ef04536de1bd31624755ad87116a0083082

#3 - 2018-02-22 10:59 AM - Giovanni Manghi
- Resolution set to fixed/implemented
